Game Develop Core: gd::EventsListSerialization Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Static Public Member Functions | List of all members
gd::EventsListSerialization Class Reference

Contains tools for loading and saving events to XML. More...

`#include <Serialization.h>`

## Static Public Member Functions

static void | LoadEventsFromXml (gd::Project &project, std::vector< boost::shared_ptr< gd::BaseEvent > > &list, const TiXmlElement *events)
| Load an event list from a TiXmlElement. More...
static void | SaveEventsToXml (const std::vector< boost::shared_ptr< gd::BaseEvent > > &list, TiXmlElement *events)
| Save an event list from a TiXmlElement. More...
static void | OpenConditions (gd::Project &project, std::vector< gd::Instruction > &list, const TiXmlElement *elem)
| Load a list of conditions from a TiXmlElement.
static void | OpenActions (gd::Project &project, std::vector< gd::Instruction > &list, const TiXmlElement *elem)
| Load a list of actions from a TiXmlElement.
static void | SaveConditions (const std::vector< gd::Instruction > &list, TiXmlElement *elem)
| Save a list of conditions to a TiXmlElement.
static void | SaveActions (const std::vector< gd::Instruction > &list, TiXmlElement *elem)
| Save a list of actions to a TiXmlElement.
static void | UpdateInstructionsFromGD2x (gd::Project &project, std::vector< gd::Instruction > &list, bool instructionsAreActions)
| Internal method called when opening events created with GD2.x. More...
static void | UpdateInstructionsFromGD31x (gd::Project &project, std::vector< gd::Instruction > &list, bool instructionsAreActions)
| Internal method called when opening events created with GD 3.1.x. More...

## Detailed Description

Contains tools for loading and saving events to XML.

## Member Function Documentation

void gd::EventsListSerialization::LoadEventsFromXml | ( | gd::Project & | project,
|  | std::vector< boost::shared_ptr< gd::BaseEvent > > & | list,
|  | const TiXmlElement * | events
| ) |  |

static

Load an event list from a TiXmlElement.

Parameters

  project | The project the events belongs to.
  list | The event list in which the events must be loaded.
  events | The TiXmlElement containing the events

void gd::EventsListSerialization::SaveEventsToXml | ( | const std::vector< boost::shared_ptr< gd::BaseEvent > > & | list,
|  | TiXmlElement * | events
| ) |  |

static

Save an event list from a TiXmlElement.

Parameters

  list | The event list to be saved.
  events | The TiXmlElement in which the events must be saved.

void gd::EventsListSerialization::UpdateInstructionsFromGD2x | ( | gd::Project & | project,
|  | std::vector< gd::Instruction > & | list,
|  | bool | instructionsAreActions
| ) |  |

static

Internal method called when opening events created with GD2.x.

Some instructions names have been changed as well as parameters since GD 3.

void gd::EventsListSerialization::UpdateInstructionsFromGD31x | ( | gd::Project & | project,
|  | std::vector< gd::Instruction > & | list,
|  | bool | instructionsAreActions
| ) |  |

static

Internal method called when opening events created with GD 3.1.x.

Variables related and some storage instructions have been changed.

The documentation for this class was generated from the following files:

- Serialization.h
- Serialization.cpp